// tcl wrapper for vtkGeoGraphRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoGraphRepresentation.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGeoGraphRepresentationNewCommand()
{
  vtkGeoGraphRepresentation *temp = vtkGeoGraphRepresentation::New();
  return static_cast<ClientData>(temp);
}

int vtkDataRepresentationCppCommand(vtkDataRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGeoGraphRepresentationCppCommand(vtkGeoGraphRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGeoGraphRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGeoGraphRepresentationCppCommand(static_cast<vtkGeoGraphRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGeoGraphRepresentationCppCommand(vtkGeoGraphRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGeoGraphRepresentation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataRepresentationCppCommand(static_cast<vtkDataRepresentation *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataRepresentation"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGeoGraphRepresentation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoGraphRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGeoGraphRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoGraphRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGeoGraphRepresentation  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoGraphRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetInputConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVertexLabelArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetVertexLabelArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexLabelArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetVertexLabelArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetVertexLabelVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetVertexLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexLabelVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetVertexLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("VertexLabelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->VertexLabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VertexLabelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->VertexLabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExplodeFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetExplodeFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExplodeFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetExplodeFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfSubdivisions",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfSubdivisions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfSubdivisions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfSubdivisions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLatitudeArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLatitudeArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLatitudeArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetLatitudeArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLongitudeArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLongitudeArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLongitudeArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetLongitudeArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetVertexLabelFontSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVertexLabelFontSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexLabelFontSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVertexLabelFontSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorVertices",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetColorVertices(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorVertices",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetColorVertices();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ColorVerticesOn",argv[1]))&&(argc == 2))
    {
    op->ColorVerticesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorVerticesOff",argv[1]))&&(argc == 2))
    {
    op->ColorVerticesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVertexColorArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetVertexColorArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexColorArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetVertexColorArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeLabelVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetEdgeLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeLabelVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetEdgeLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EdgeLabelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->EdgeLabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EdgeLabelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->EdgeLabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeLabelArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEdgeLabelArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeLabelArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetEdgeLabelArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeLayoutStrategy",argv[1]))&&(argc == 3))
    {
    vtkEdgeLayoutStrategy  *temp0;
    error = 0;

    temp0 = (vtkEdgeLayoutStrategy *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkEdgeLayoutStrategy"),interp,error));
    if (!error)
    {
    op->SetEdgeLayoutStrategy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeLayoutStrategy",argv[1]))&&(argc == 2))
    {
    vtkEdgeLayoutStrategy  *temp20;
    temp20 = (op)->GetEdgeLayoutStrategy();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkEdgeLayoutStrategy");
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeLayoutStrategyToGeo",argv[1]))&&(argc == 2))
    {
    op->SetEdgeLayoutStrategyToGeo();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeLayoutStrategyToArcParallel",argv[1]))&&(argc == 2))
    {
    op->SetEdgeLayoutStrategyToArcParallel();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeLabelFontSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEdgeLabelFontSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeLabelFontSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEdgeLabelFontSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorEdges",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetColorEdges(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorEdges",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetColorEdges();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ColorEdgesOn",argv[1]))&&(argc == 2))
    {
    op->ColorEdgesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorEdgesOff",argv[1]))&&(argc == 2))
    {
    op->ColorEdgesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeColorArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEdgeColorArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeColorArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetEdgeColorArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTransform",argv[1]))&&(argc == 3))
    {
    vtkAbstractTransform  *temp0;
    error = 0;

    temp0 = (vtkAbstractTransform *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractTransform"),interp,error));
    if (!error)
    {
    op->SetTransform(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTransform",argv[1]))&&(argc == 2))
    {
    vtkAbstractTransform  *temp20;
    temp20 = (op)->GetTransform();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractTransform");
    return TCL_OK;
    }
  if ((!strcmp("ApplyViewTheme",argv[1]))&&(argc == 3))
    {
    vtkViewTheme  *temp0;
    error = 0;

    temp0 = (vtkViewTheme *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewTheme"),interp,error));
    if (!error)
    {
    op->ApplyViewTheme(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PrepareForRendering",argv[1]))&&(argc == 2))
    {
    op->PrepareForRendering();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGeoGraphRepresentationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGeoGraphRepresentation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInputConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexLabelArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexLabelArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  VertexLabelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  VertexLabelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetExplodeFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExplodeFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfSubdivisions\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSubdivisions\n",NULL);
    Tcl_AppendResult(interp,"  SetLatitudeArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLatitudeArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetLongitudeArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLongitudeArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexLabelFontSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexLabelFontSize\n",NULL);
    Tcl_AppendResult(interp,"  SetColorVertices\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorVertices\n",NULL);
    Tcl_AppendResult(interp,"  ColorVerticesOn\n",NULL);
    Tcl_AppendResult(interp,"  ColorVerticesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexColorArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexColorArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  EdgeLabelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  EdgeLabelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLabelArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeLabelArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLayoutStrategy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeLayoutStrategy\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLayoutStrategyToGeo\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLayoutStrategyToArcParallel\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLabelFontSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeLabelFontSize\n",NULL);
    Tcl_AppendResult(interp,"  SetColorEdges\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorEdges\n",NULL);
    Tcl_AppendResult(interp,"  ColorEdgesOn\n",NULL);
    Tcl_AppendResult(interp,"  ColorEdgesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeColorArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeColorArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetTransform\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTransform\n",NULL);
    Tcl_AppendResult(interp,"  ApplyViewTheme\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PrepareForRendering\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetInputConnection" );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetVertexLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetVertexLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "VertexLabelVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "VertexLabelVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetExplodeFactor" );
    Tcl_DStringAppendElement ( &dString, "GetExplodeFactor" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfSubdivisions" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSubdivisions" );
    Tcl_DStringAppendElement ( &dString, "SetLatitudeArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetLatitudeArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetLongitudeArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetLongitudeArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelFontSize" );
    Tcl_DStringAppendElement ( &dString, "GetVertexLabelFontSize" );
    Tcl_DStringAppendElement ( &dString, "SetColorVertices" );
    Tcl_DStringAppendElement ( &dString, "GetColorVertices" );
    Tcl_DStringAppendElement ( &dString, "ColorVerticesOn" );
    Tcl_DStringAppendElement ( &dString, "ColorVerticesOff" );
    Tcl_DStringAppendElement ( &dString, "SetVertexColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetVertexColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "EdgeLabelVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "EdgeLabelVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLayoutStrategyToGeo" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLayoutStrategyToArcParallel" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelFontSize" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelFontSize" );
    Tcl_DStringAppendElement ( &dString, "SetColorEdges" );
    Tcl_DStringAppendElement ( &dString, "GetColorEdges" );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesOn" );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesOff" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetTransform" );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    Tcl_DStringAppendElement ( &dString, "PrepareForRendering" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGeoGraphRepresentation *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputConnection */
    if ( strcmp ( argv[2], "SetInputConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputConnection */
    Tcl_DStringAppendElement ( &dString, " Sets the input pipeline connection to this representation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputConnection (vtkAlgorithmOutput *conn);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for SetInputConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexLabelArrayName */
    if ( strcmp ( argv[2], "SetVertexLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for vertex labeling.  Default is \"label\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexLabelArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for SetVertexLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexLabelArrayName */
    if ( strcmp ( argv[2], "GetVertexLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for vertex labeling.  Default is \"label\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetVertexLabelArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for GetVertexLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexLabelVisibility */
    if ( strcmp ( argv[2], "SetVertexLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show vertex labels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexLabelVisibility (bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for SetVertexLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexLabelVisibility */
    if ( strcmp ( argv[2], "GetVertexLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show vertex labels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetVertexLabelVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for GetVertexLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VertexLabelVisibilityOn */
    if ( strcmp ( argv[2], "VertexLabelVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VertexLabelVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VertexLabelVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Whether to show vertex labels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void VertexLabelVisibilityOn ();this SetVertexLabelVisibility true " );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for VertexLabelVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VertexLabelVisibilityOff */
    if ( strcmp ( argv[2], "VertexLabelVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VertexLabelVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VertexLabelVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Sets the explode factor for the geo arcs.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void VertexLabelVisibilityOff ();this SetVertexLabelVisibility false " );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for VertexLabelVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExplodeFactor */
    if ( strcmp ( argv[2], "SetExplodeFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExplodeFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExplodeFactor */
    Tcl_DStringAppendElement ( &dString, " Sets the explode factor for the geo arcs.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetExplodeFactor (double factor);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for SetExplodeFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExplodeFactor */
    if ( strcmp ( argv[2], "GetExplodeFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExplodeFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExplodeFactor */
    Tcl_DStringAppendElement ( &dString, " Sets the explode factor for the geo arcs.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetExplodeFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for GetExplodeFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfSubdivisions */
    if ( strcmp ( argv[2], "SetNumberOfSubdivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfSubdivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfSubdivisions */
    Tcl_DStringAppendElement ( &dString, " The number of subdivisions per arc.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNumberOfSubdivisions (int num);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for SetNumberOfSubdivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSubdivisions */
    if ( strcmp ( argv[2], "GetNumberOfSubdivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSubdivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSubdivisions */
    Tcl_DStringAppendElement ( &dString, " The number of subdivisions per arc.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfSubdivisions ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for GetNumberOfSubdivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLatitudeArrayName */
    if ( strcmp ( argv[2], "SetLatitudeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLatitudeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLatitudeArrayName */
    Tcl_DStringAppendElement ( &dString, " The point array holding the latitude.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLatitudeArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for SetLatitudeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLatitudeArrayName */
    if ( strcmp ( argv[2], "GetLatitudeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLatitudeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLatitudeArrayName */
    Tcl_DStringAppendElement ( &dString, " The point array holding the latitude.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetLatitudeArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for GetLatitudeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLongitudeArrayName */
    if ( strcmp ( argv[2], "SetLongitudeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLongitudeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLongitudeArrayName */
    Tcl_DStringAppendElement ( &dString, " The point array holding the longitude.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLongitudeArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for SetLongitudeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLongitudeArrayName */
    if ( strcmp ( argv[2], "GetLongitudeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLongitudeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLongitudeArrayName */
    Tcl_DStringAppendElement ( &dString, " The point array holding the longitude.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetLongitudeArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for GetLongitudeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexLabelFontSize */
    if ( strcmp ( argv[2], "SetVertexLabelFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexLabelFontSize */
    Tcl_DStringAppendElement ( &dString, " The size of the vertex labels in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVertexLabelFontSize (int size);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for SetVertexLabelFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexLabelFontSize */
    if ( strcmp ( argv[2], "GetVertexLabelFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexLabelFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexLabelFontSize */
    Tcl_DStringAppendElement ( &dString, " The size of the vertex labels in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVertexLabelFontSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for GetVertexLabelFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorVertices */
    if ( strcmp ( argv[2], "SetColorVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorVertices */
    Tcl_DStringAppendElement ( &dString, " Whether to color vertices using a data array.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorVertices (bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for SetColorVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorVertices */
    if ( strcmp ( argv[2], "GetColorVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorVertices */
    Tcl_DStringAppendElement ( &dString, " Whether to color vertices using a data array.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetColorVertices ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for GetColorVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorVerticesOn */
    if ( strcmp ( argv[2], "ColorVerticesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorVerticesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorVerticesOn */
    Tcl_DStringAppendElement ( &dString, " Whether to color vertices using a data array.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorVerticesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for ColorVerticesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorVerticesOff */
    if ( strcmp ( argv[2], "ColorVerticesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorVerticesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorVerticesOff */
    Tcl_DStringAppendElement ( &dString, " Whether to color vertices using a data array.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorVerticesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for ColorVerticesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexColorArrayName */
    if ( strcmp ( argv[2], "SetVertexColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The data array to use to color vertices.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVertexColorArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for SetVertexColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexColorArrayName */
    if ( strcmp ( argv[2], "GetVertexColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The data array to use to color vertices.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetVertexColorArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for GetVertexColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLabelVisibility */
    if ( strcmp ( argv[2], "SetEdgeLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show edge labels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeLabelVisibility (bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for SetEdgeLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeLabelVisibility */
    if ( strcmp ( argv[2], "GetEdgeLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show edge labels.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetEdgeLabelVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for GetEdgeLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EdgeLabelVisibilityOn */
    if ( strcmp ( argv[2], "EdgeLabelVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EdgeLabelVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EdgeLabelVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Whether to show edge labels.\n" );
    Tcl_DStringAppendElement ( &dString, "void EdgeLabelVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for EdgeLabelVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EdgeLabelVisibilityOff */
    if ( strcmp ( argv[2], "EdgeLabelVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EdgeLabelVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EdgeLabelVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Whether to show edge labels.\n" );
    Tcl_DStringAppendElement ( &dString, "void EdgeLabelVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for EdgeLabelVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLabelArrayName */
    if ( strcmp ( argv[2], "SetEdgeLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " The data array to use for labelling edges.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeLabelArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for SetEdgeLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeLabelArrayName */
    if ( strcmp ( argv[2], "GetEdgeLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " The data array to use for labelling edges.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetEdgeLabelArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for GetEdgeLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLayoutStrategy */
    if ( strcmp ( argv[2], "SetEdgeLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkEdgeLayoutStrategy" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " The edge layout strategy to use.\n The default is vtkGeoEdgeStrategy.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeLayoutStrategy (vtkEdgeLayoutStrategy *strategy);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for SetEdgeLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeLayoutStrategy */
    if ( strcmp ( argv[2], "GetEdgeLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " The edge layout strategy to use.\n The default is vtkGeoEdgeStrategy.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkEdgeLayoutStrategy *GetEdgeLayoutStrategy ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for GetEdgeLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLayoutStrategyToGeo */
    if ( strcmp ( argv[2], "SetEdgeLayoutStrategyToGeo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLayoutStrategyToGeo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLayoutStrategyToGeo */
    Tcl_DStringAppendElement ( &dString, " The edge layout strategy to use.\n The default is vtkGeoEdgeStrategy.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeLayoutStrategyToGeo ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for SetEdgeLayoutStrategyToGeo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLayoutStrategyToArcParallel */
    if ( strcmp ( argv[2], "SetEdgeLayoutStrategyToArcParallel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLayoutStrategyToArcParallel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLayoutStrategyToArcParallel */
    Tcl_DStringAppendElement ( &dString, " The edge layout strategy to use.\n The default is vtkGeoEdgeStrategy.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeLayoutStrategyToArcParallel ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for SetEdgeLayoutStrategyToArcParallel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLabelFontSize */
    if ( strcmp ( argv[2], "SetEdgeLabelFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLabelFontSize */
    Tcl_DStringAppendElement ( &dString, " The size of edge labels in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeLabelFontSize (int size);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for SetEdgeLabelFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeLabelFontSize */
    if ( strcmp ( argv[2], "GetEdgeLabelFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeLabelFontSize */
    Tcl_DStringAppendElement ( &dString, " The size of edge labels in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetEdgeLabelFontSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for GetEdgeLabelFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorEdges */
    if ( strcmp ( argv[2], "SetColorEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorEdges */
    Tcl_DStringAppendElement ( &dString, " Whether to color edges using a data array.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorEdges (bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for SetColorEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorEdges */
    if ( strcmp ( argv[2], "GetColorEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorEdges */
    Tcl_DStringAppendElement ( &dString, " Whether to color edges using a data array.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetColorEdges ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for GetColorEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorEdgesOn */
    if ( strcmp ( argv[2], "ColorEdgesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorEdgesOn */
    Tcl_DStringAppendElement ( &dString, " Whether to color edges using a data array.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorEdgesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for ColorEdgesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorEdgesOff */
    if ( strcmp ( argv[2], "ColorEdgesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorEdgesOff */
    Tcl_DStringAppendElement ( &dString, " Whether to color edges using a data array.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorEdgesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for ColorEdgesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeColorArrayName */
    if ( strcmp ( argv[2], "SetEdgeColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The data array to use for coloring edges.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeColorArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for SetEdgeColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeColorArrayName */
    if ( strcmp ( argv[2], "GetEdgeColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The data array to use for coloring edges.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetEdgeColorArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for GetEdgeColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTransform */
    if ( strcmp ( argv[2], "SetTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractTransform" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTransform */
    Tcl_DStringAppendElement ( &dString, " The transform used in vtkGeoAssignCoordinates to transform\n the vertex locations from lat/long to world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTransform (vtkAbstractTransform *trans);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for SetTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTransform */
    if ( strcmp ( argv[2], "GetTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransform */
    Tcl_DStringAppendElement ( &dString, " The transform used in vtkGeoAssignCoordinates to transform\n the vertex locations from lat/long to world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractTransform *GetTransform ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for GetTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ApplyViewTheme */
    if ( strcmp ( argv[2], "ApplyViewTheme" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ApplyViewTheme */
    Tcl_DStringAppendElement ( &dString, " Apply a theme to this view.\n" );
    Tcl_DStringAppendElement ( &dString, "void ApplyViewTheme (vtkViewTheme *theme);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for ApplyViewTheme */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PrepareForRendering */
    if ( strcmp ( argv[2], "PrepareForRendering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PrepareForRendering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PrepareForRendering */
    Tcl_DStringAppendElement ( &dString, " Called by the view when the renderer is about to render.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PrepareForRendering ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoGraphRepresentation" );
    /* Closing for PrepareForRendering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataRepresentationCppCommand(static_cast<vtkDataRepresentation *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
