// python wrapper for vtkGeoLineRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoLineRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoLineRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoLineRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataRepresentationNew(char *); }

static PyObject *PyvtkGeoLineRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoLineRepresentation *op;

  const char    *temp20;
  op = (vtkGeoLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoLineRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoLineRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoLineRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoLineRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoLineRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoLineRepresentation *op;

  vtkGeoLineRepresentation  *temp20;
  op = (vtkGeoLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoLineRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoLineRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoLineRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoLineRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoLineRepresentation_SetInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoLineRepresentation *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkGeoLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoLineRepresentation::SetInputConnection(temp0);
      }
    else
      {
      op->SetInputConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkGeoLineRepresentation_SetLatitudeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoLineRepresentation *op;

  char    *temp0;
  op = (vtkGeoLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoLineRepresentation::SetLatitudeArrayName(temp0);
      }
    else
      {
      op->SetLatitudeArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoLineRepresentation_GetLatitudeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoLineRepresentation *op;

  const char    *temp20;
  op = (vtkGeoLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoLineRepresentation::GetLatitudeArrayName();
      }
    else
      {
      temp20 = op->GetLatitudeArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoLineRepresentation_SetLongitudeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoLineRepresentation *op;

  char    *temp0;
  op = (vtkGeoLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoLineRepresentation::SetLongitudeArrayName(temp0);
      }
    else
      {
      op->SetLongitudeArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoLineRepresentation_GetLongitudeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoLineRepresentation *op;

  const char    *temp20;
  op = (vtkGeoLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoLineRepresentation::GetLongitudeArrayName();
      }
    else
      {
      temp20 = op->GetLongitudeArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoLineRepresentation_SetPointVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoLineRepresentation *op;

  bool   temp0;
  op = (vtkGeoLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoLineRepresentation::SetPointVisibility(temp0);
      }
    else
      {
      op->SetPointVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoLineRepresentation_GetPointVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoLineRepresentation *op;

  bool   temp20;
  op = (vtkGeoLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoLineRepresentation::GetPointVisibility();
      }
    else
      {
      temp20 = op->GetPointVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoLineRepresentation_PointVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoLineRepresentation *op;

  op = (vtkGeoLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoLineRepresentation::PointVisibilityOn();
      }
    else
      {
      op->PointVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoLineRepresentation_PointVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoLineRepresentation *op;

  op = (vtkGeoLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoLineRepresentation::PointVisibilityOff();
      }
    else
      {
      op->PointVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoLineRepresentation_PrepareForRendering(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoLineRepresentation *op;

  op = (vtkGeoLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoLineRepresentation::PrepareForRendering();
      }
    else
      {
      op->PrepareForRendering();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoLineRepresentation_SetCoordinatesInArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoLineRepresentation *op;

  bool   temp0;
  op = (vtkGeoLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoLineRepresentation::SetCoordinatesInArrays(temp0);
      }
    else
      {
      op->SetCoordinatesInArrays(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoLineRepresentation_GetCoordinatesInArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoLineRepresentation *op;

  bool   temp20;
  op = (vtkGeoLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoLineRepresentation::GetCoordinatesInArrays();
      }
    else
      {
      temp20 = op->GetCoordinatesInArrays();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoLineRepresentation_CoordinatesInArraysOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoLineRepresentation *op;

  op = (vtkGeoLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoLineRepresentation::CoordinatesInArraysOn();
      }
    else
      {
      op->CoordinatesInArraysOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoLineRepresentation_CoordinatesInArraysOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoLineRepresentation *op;

  op = (vtkGeoLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoLineRepresentation::CoordinatesInArraysOff();
      }
    else
      {
      op->CoordinatesInArraysOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoLineRepresentation_SetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoLineRepresentation *op;

  vtkAbstractTransform  *temp0;
  PyObject *tempH0;
  op = (vtkGeoLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractTransform");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoLineRepresentation::SetTransform(temp0);
      }
    else
      {
      op->SetTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkGeoLineRepresentation_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoLineRepresentation *op;

  vtkAbstractTransform  *temp20;
  op = (vtkGeoLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoLineRepresentation::GetTransform();
      }
    else
      {
      temp20 = op->GetTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoLineRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoLineRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoLineRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoLineRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoLineRepresentation\nC++: vtkGeoLineRepresentation *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoLineRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoLineRepresentation\nC++: vtkGeoLineRepresentation *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInputConnection",                (PyCFunction)PyvtkGeoLineRepresentation_SetInputConnection, 1,
   (char*)"V.SetInputConnection(vtkAlgorithmOutput)\nC++: virtual void SetInputConnection (vtkAlgorithmOutput *conn);\n\n Sets the input pipeline connection to this representation.\n"},
  {(char*)"SetLatitudeArrayName",                (PyCFunction)PyvtkGeoLineRepresentation_SetLatitudeArrayName, 1,
   (char*)"V.SetLatitudeArrayName(string)\nC++: virtual void SetLatitudeArrayName (const char *name);\n\n The point array holding the latitude.\n"},
  {(char*)"GetLatitudeArrayName",                (PyCFunction)PyvtkGeoLineRepresentation_GetLatitudeArrayName, 1,
   (char*)"V.GetLatitudeArrayName() -> string\nC++: virtual const char *GetLatitudeArrayName ();\n\n The point array holding the latitude.\n"},
  {(char*)"SetLongitudeArrayName",                (PyCFunction)PyvtkGeoLineRepresentation_SetLongitudeArrayName, 1,
   (char*)"V.SetLongitudeArrayName(string)\nC++: virtual void SetLongitudeArrayName (const char *name);\n\n The point array holding the longitude.\n"},
  {(char*)"GetLongitudeArrayName",                (PyCFunction)PyvtkGeoLineRepresentation_GetLongitudeArrayName, 1,
   (char*)"V.GetLongitudeArrayName() -> string\nC++: virtual const char *GetLongitudeArrayName ();\n\n The point array holding the longitude.\n"},
  {(char*)"SetPointVisibility",                (PyCFunction)PyvtkGeoLineRepresentation_SetPointVisibility, 1,
   (char*)"V.SetPointVisibility(bool)\nC++: virtual void SetPointVisibility (bool b);\n\n Whether to show points along the lines.\n This includes interpolated vertices.\n"},
  {(char*)"GetPointVisibility",                (PyCFunction)PyvtkGeoLineRepresentation_GetPointVisibility, 1,
   (char*)"V.GetPointVisibility() -> bool\nC++: virtual bool GetPointVisibility ();\n\n Whether to show points along the lines.\n This includes interpolated vertices.\n"},
  {(char*)"PointVisibilityOn",                (PyCFunction)PyvtkGeoLineRepresentation_PointVisibilityOn, 1,
   (char*)"V.PointVisibilityOn()\nC++: void PointVisibilityOn ();\n\n Whether to show points along the lines.\n This includes interpolated vertices.\n"},
  {(char*)"PointVisibilityOff",                (PyCFunction)PyvtkGeoLineRepresentation_PointVisibilityOff, 1,
   (char*)"V.PointVisibilityOff()\nC++: void PointVisibilityOff ();\n\n Whether to show points along the lines.\n This includes interpolated vertices.\n"},
  {(char*)"PrepareForRendering",                (PyCFunction)PyvtkGeoLineRepresentation_PrepareForRendering, 1,
   (char*)"V.PrepareForRendering()\nC++: virtual void PrepareForRendering ();\n\n Called by the view when the renderer is about to render.\n"},
  {(char*)"SetCoordinatesInArrays",                (PyCFunction)PyvtkGeoLineRepresentation_SetCoordinatesInArrays, 1,
   (char*)"V.SetCoordinatesInArrays(bool)\nC++: virtual void SetCoordinatesInArrays (bool b);\n\n If on, uses LatitudeArrayName and LongitudeArrayName to\n move values in data arrays into the points of the data set.\n Turn off if the lattitude and longitude are already in\n the points.x\n"},
  {(char*)"GetCoordinatesInArrays",                (PyCFunction)PyvtkGeoLineRepresentation_GetCoordinatesInArrays, 1,
   (char*)"V.GetCoordinatesInArrays() -> bool\nC++: virtual bool GetCoordinatesInArrays ();\n\n If on, uses LatitudeArrayName and LongitudeArrayName to\n move values in data arrays into the points of the data set.\n Turn off if the lattitude and longitude are already in\n the points.x\n"},
  {(char*)"CoordinatesInArraysOn",                (PyCFunction)PyvtkGeoLineRepresentation_CoordinatesInArraysOn, 1,
   (char*)"V.CoordinatesInArraysOn()\nC++: void CoordinatesInArraysOn ();\n\n If on, uses LatitudeArrayName and LongitudeArrayName to\n move values in data arrays into the points of the data set.\n Turn off if the lattitude and longitude are already in\n the points.x\n"},
  {(char*)"CoordinatesInArraysOff",                (PyCFunction)PyvtkGeoLineRepresentation_CoordinatesInArraysOff, 1,
   (char*)"V.CoordinatesInArraysOff()\nC++: void CoordinatesInArraysOff ();\n\n If on, uses LatitudeArrayName and LongitudeArrayName to\n move values in data arrays into the points of the data set.\n Turn off if the lattitude and longitude are already in\n the points.x\n"},
  {(char*)"SetTransform",                (PyCFunction)PyvtkGeoLineRepresentation_SetTransform, 1,
   (char*)"V.SetTransform(vtkAbstractTransform)\nC++: virtual void SetTransform (vtkAbstractTransform *transform);\n\n The transform to use for transforming lat/long points into\n world coordinates. If null, use spherical world model (default).\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkGeoLineRepresentation_GetTransform, 1,
   (char*)"V.GetTransform() -> vtkAbstractTransform\nC++: virtual vtkAbstractTransform *GetTransform ();\n\n The transform to use for transforming lat/long points into\n world coordinates. If null, use spherical world model (default).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoLineRepresentationDoc[] = {
  (char*)"vtkGeoLineRepresentation - Displays a geometric dataset on a globe.\n\n",
  "Super Class:\n\n vtkDataRepresentation\n\n",
  (char*)" vtkGeoLineRepresentation is used to show a geometric dataset in a geo view.\n The representation uses a vtkGeometryFilter to convert the dataset to\n polygonal data (e.g. volumetric data is converted to its external surface).\n The representation may then be added to a vtkRenderView (normally vtkGeoView).\n\n",
  NULL
};

static vtkObjectBase *vtkGeoLineRepresentationStaticNew()
{
  return vtkGeoLineRepresentation::New();
}

PyObject *PyVTKClass_vtkGeoLineRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoLineRepresentationStaticNew,
                        PyvtkGeoLineRepresentationMethods,
                        (char*)"vtkGeoLineRepresentation",modulename,
                        (char**)vtkGeoLineRepresentationDoc,
                        PyVTKClass_vtkDataRepresentationNew(modulename));
}

