// python wrapper for vtkQuadraturePointStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkQuadraturePointStatistics.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQuadraturePointStatisticsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQuadraturePointStatisticsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkQuadraturePointStatistics_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadraturePointStatistics *op;

  const char    *temp20;
  op = (vtkQuadraturePointStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadraturePointStatistics::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadraturePointStatistics_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadraturePointStatistics *op;

  char    *temp0;
  int      temp20;
  op = (vtkQuadraturePointStatistics *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadraturePointStatistics::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadraturePointStatistics_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadraturePointStatistics *op;

  vtkQuadraturePointStatistics  *temp20;
  op = (vtkQuadraturePointStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadraturePointStatistics::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadraturePointStatistics_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkQuadraturePointStatistics  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkQuadraturePointStatistics::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkQuadraturePointStatisticsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkQuadraturePointStatistics_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkQuadraturePointStatistics_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkQuadraturePointStatistics_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQuadraturePointStatistics\nC++: vtkQuadraturePointStatistics *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkQuadraturePointStatistics_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQuadraturePointStatistics\nC++: vtkQuadraturePointStatistics *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkQuadraturePointStatisticsDoc[] = {
  (char*)"vtkQuadraturePointStatistics\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)"\n For all interpolated fields (see vtkQuadraturePointInterpolator) in\n this data set, generate descriptive statisics. The results are \n placed in a vtkTable withone column for each interpolarted array\n found in the input.\n\n\n",
  "See Also:\n\n vtkQuadratureSchemeDefinition, vtkQuadraturePointInterpolator, vtkTable\n\n",
  NULL
};

static vtkObjectBase *vtkQuadraturePointStatisticsStaticNew()
{
  return vtkQuadraturePointStatistics::New();
}

PyObject *PyVTKClass_vtkQuadraturePointStatisticsNew(char *modulename)
{
  return PyVTKClass_New(&vtkQuadraturePointStatisticsStaticNew,
                        PyvtkQuadraturePointStatisticsMethods,
                        (char*)"vtkQuadraturePointStatistics",modulename,
                        (char**)vtkQuadraturePointStatisticsDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

