// python wrapper for vtkSelectionLink object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSelectionLink.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSelectionLinkNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSelectionLinkNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSelectionAlgorithmNew(char *); }

static PyObject *PyvtkSelectionLink_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionLink *op;

  const char    *temp20;
  op = (vtkSelectionLink *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionLink::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionLink_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionLink *op;

  char    *temp0;
  int      temp20;
  op = (vtkSelectionLink *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionLink::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionLink_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionLink *op;

  vtkSelectionLink  *temp20;
  op = (vtkSelectionLink *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionLink::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionLink_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSelectionLink  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSelectionLink::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSelectionLink_GetSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionLink *op;

  vtkSelection  *temp20;
  op = (vtkSelectionLink *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionLink::GetSelection();
      }
    else
      {
      temp20 = op->GetSelection();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionLink_SetSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionLink *op;

  vtkSelection  *temp0;
  PyObject *tempH0;
  op = (vtkSelectionLink *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionLink::SetSelection(temp0);
      }
    else
      {
      op->SetSelection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkSelectionLink_AddDomainMap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionLink *op;

  vtkTable  *temp0;
  PyObject *tempH0;
  op = (vtkSelectionLink *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTable");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionLink::AddDomainMap(temp0);
      }
    else
      {
      op->AddDomainMap(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkSelectionLink_RemoveDomainMap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionLink *op;

  vtkTable  *temp0;
  PyObject *tempH0;
  op = (vtkSelectionLink *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTable");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionLink::RemoveDomainMap(temp0);
      }
    else
      {
      op->RemoveDomainMap(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkSelectionLink_RemoveAllDomainMaps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionLink *op;

  op = (vtkSelectionLink *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionLink::RemoveAllDomainMaps();
      }
    else
      {
      op->RemoveAllDomainMaps();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionLink_GetNumberOfDomainMaps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionLink *op;

  int      temp20;
  op = (vtkSelectionLink *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionLink::GetNumberOfDomainMaps();
      }
    else
      {
      temp20 = op->GetNumberOfDomainMaps();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionLink_GetDomainMap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionLink *op;

  int      temp0;
  vtkTable  *temp20;
  op = (vtkSelectionLink *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionLink::GetDomainMap(temp0);
      }
    else
      {
      temp20 = op->GetDomainMap(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSelectionLinkMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSelectionLink_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSelectionLink_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSelectionLink_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSelectionLink\nC++: vtkSelectionLink *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSelectionLink_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSelectionLink\nC++: vtkSelectionLink *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetSelection",                (PyCFunction)PyvtkSelectionLink_GetSelection, 1,
   (char*)"V.GetSelection() -> vtkSelection\nC++: vtkSelection *GetSelection ();\n\n The selection to be shared.\n"},
  {(char*)"SetSelection",                (PyCFunction)PyvtkSelectionLink_SetSelection, 1,
   (char*)"V.SetSelection(vtkSelection)\nC++: void SetSelection (vtkSelection *selection);\n\n The selection to be shared.\n"},
  {(char*)"AddDomainMap",                (PyCFunction)PyvtkSelectionLink_AddDomainMap, 1,
   (char*)"V.AddDomainMap(vtkTable)\nC++: void AddDomainMap (vtkTable *map);\n\n The domain mappings.\n"},
  {(char*)"RemoveDomainMap",                (PyCFunction)PyvtkSelectionLink_RemoveDomainMap, 1,
   (char*)"V.RemoveDomainMap(vtkTable)\nC++: void RemoveDomainMap (vtkTable *map);\n\n The domain mappings.\n"},
  {(char*)"RemoveAllDomainMaps",                (PyCFunction)PyvtkSelectionLink_RemoveAllDomainMaps, 1,
   (char*)"V.RemoveAllDomainMaps()\nC++: void RemoveAllDomainMaps ();\n\n The domain mappings.\n"},
  {(char*)"GetNumberOfDomainMaps",                (PyCFunction)PyvtkSelectionLink_GetNumberOfDomainMaps, 1,
   (char*)"V.GetNumberOfDomainMaps() -> int\nC++: int GetNumberOfDomainMaps ();\n\n The domain mappings.\n"},
  {(char*)"GetDomainMap",                (PyCFunction)PyvtkSelectionLink_GetDomainMap, 1,
   (char*)"V.GetDomainMap(int) -> vtkTable\nC++: vtkTable *GetDomainMap (int i);\n\n The domain mappings.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSelectionLinkDoc[] = {
  (char*)"vtkSelectionLink - An algorithm for linking selections among objects\n\n",
  "Super Class:\n\n vtkSelectionAlgorithm\n\n",
  (char*)" vtkSelectionLink is a simple source filter which outputs the selection\n object stored internally.  Multiple objects may share\n the same selection link filter and connect it to an internal pipeline so\n that if one object changes the selection, it will be pulled into all\n the other objects when their pipelines update.\n\n",
  NULL
};

static vtkObjectBase *vtkSelectionLinkStaticNew()
{
  return vtkSelectionLink::New();
}

PyObject *PyVTKClass_vtkSelectionLinkNew(char *modulename)
{
  return PyVTKClass_New(&vtkSelectionLinkStaticNew,
                        PyvtkSelectionLinkMethods,
                        (char*)"vtkSelectionLink",modulename,
                        (char**)vtkSelectionLinkDoc,
                        PyVTKClass_vtkSelectionAlgorithmNew(modulename));
}

