// python wrapper for vtkBivariateStatisticsAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBivariateStatisticsAlgorithm.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBivariateStatisticsAlgorithmNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBivariateStatisticsAlgorithmNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStatisticsAlgorithmNew(char *); }

static PyObject *PyvtkBivariateStatisticsAlgorithm_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateStatisticsAlgorithm *op;

  const char    *temp20;
  op = (vtkBivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBivariateStatisticsAlgorithm::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateStatisticsAlgorithm_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateStatisticsAlgorithm *op;

  char    *temp0;
  int      temp20;
  op = (vtkBivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBivariateStatisticsAlgorithm::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateStatisticsAlgorithm_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateStatisticsAlgorithm *op;

  vtkBivariateStatisticsAlgorithm  *temp20;
  op = (vtkBivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBivariateStatisticsAlgorithm::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateStatisticsAlgorithm_ResetColumnPairs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateStatisticsAlgorithm *op;

  op = (vtkBivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBivariateStatisticsAlgorithm::ResetColumnPairs();
      }
    else
      {
      op->ResetColumnPairs();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateStatisticsAlgorithm_AddColumnPair(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateStatisticsAlgorithm *op;

  char    *temp0;
  char    *temp1;
  op = (vtkBivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBivariateStatisticsAlgorithm::AddColumnPair(temp0,temp1);
      }
    else
      {
      op->AddColumnPair(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateStatisticsAlgorithm_RemoveColumnPair(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateStatisticsAlgorithm *op;

  char    *temp0;
  char    *temp1;
  op = (vtkBivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBivariateStatisticsAlgorithm::RemoveColumnPair(temp0,temp1);
      }
    else
      {
      op->RemoveColumnPair(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateStatisticsAlgorithm_SetColumnStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateStatisticsAlgorithm *op;

  char    *temp0;
  int      temp1;
  op = (vtkBivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBivariateStatisticsAlgorithm::SetColumnStatus(temp0,temp1);
      }
    else
      {
      op->SetColumnStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateStatisticsAlgorithm_ExecuteAssess(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateStatisticsAlgorithm *op;

  vtkTable  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  vtkTable  *temp2;
  PyObject *tempH2;
  vtkDataObject  *temp3;
  PyObject *tempH3;
  op = (vtkBivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"OOOO", &tempH0, &tempH1, &tempH2, &tempH3);
  if (op)
    {
    temp0 = (vtkTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTable");
    if (!temp0 && tempH0 != Py_None) goto break7;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break7;
    temp2 = (vtkTable *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkTable");
    if (!temp2 && tempH2 != Py_None) goto break7;
    temp3 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkDataObject");
    if (!temp3 && tempH3 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkBivariateStatisticsAlgorithm::ExecuteAssess(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->ExecuteAssess(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}

static PyMethodDef PyvtkBivariateStatisticsAlgorithmMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBivariateStatisticsAlgorithm_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBivariateStatisticsAlgorithm_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBivariateStatisticsAlgorithm_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBivariateStatisticsAlgorithm\nC++: vtkBivariateStatisticsAlgorithm *NewInstance ();\n\n"},
  {(char*)"ResetColumnPairs",                (PyCFunction)PyvtkBivariateStatisticsAlgorithm_ResetColumnPairs, 1,
   (char*)"V.ResetColumnPairs()\nC++: void ResetColumnPairs ();\n\n Reset list of column pairs of interest. \n"},
  {(char*)"AddColumnPair",                (PyCFunction)PyvtkBivariateStatisticsAlgorithm_AddColumnPair, 1,
   (char*)"V.AddColumnPair(string, string)\nC++: void AddColumnPair (const char *namColX, const char *namColY);\n\n Add column name pair (\\p namColX, \\p namColY).\n Warning: no name checking is performed on \\p namColX nor \\p namColY; it is \n the user's responsibility to use valid column names.\n"},
  {(char*)"RemoveColumnPair",                (PyCFunction)PyvtkBivariateStatisticsAlgorithm_RemoveColumnPair, 1,
   (char*)"V.RemoveColumnPair(string, string)\nC++: void RemoveColumnPair (const char *namColX, const char *namColY);\n\n Remove, if it is present, column name pair (\\p namColX, \\p namColY).\n"},
  {(char*)"SetColumnStatus",                (PyCFunction)PyvtkBivariateStatisticsAlgorithm_SetColumnStatus, 1,
   (char*)"V.SetColumnStatus(string, int)\nC++: void SetColumnStatus (const char *namCol, int status);\n\n Method for UI to call to add/remove columns to/from the list\n"},
  {(char*)"ExecuteAssess",                (PyCFunction)PyvtkBivariateStatisticsAlgorithm_ExecuteAssess, 1,
   (char*)"V.ExecuteAssess(vtkTable, vtkDataObject, vtkTable, vtkDataObject)\nC++: virtual void ExecuteAssess (vtkTable *inData, vtkDataObject *inMeta, vtkTable *outData, vtkDataObject *outMeta);\n\n Execute the calculations required by the Assess option.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBivariateStatisticsAlgorithmDoc[] = {
  (char*)"vtkBivariateStatistics - Base class for bivariate statistics \n\n",
  "Super Class:\n\n vtkStatisticsAlgorithm\n\n",
  (char*)" This class specializes statistics algorithms to the bivariate case, where\n a number of pairs of columns of interest can be selected in the input data set.\n This is done by the means of the following functions:\n\n ResetColumns() - reset the list of columns of interest.\n Add/RemoveColum( namColX, namColY ) - try to add/remove column pair ( namColX,\n namColy ) to/from the list.\n SetColumnStatus ( nam",
  (char*)"Col, status ) - mostly for UI wrapping purposes, try to \n add/remove (depending on status) namCol from a list of buffered columns, from\n which all possible pairs are generated.\n The verb \"try\" is used in the sense that neither attempting to \n repeat an existing entry nor to remove a non-existent entry will work.\n \n .SECTION Thanks\n Thanks to Philippe Pebay and David Thompson from Sandia National L",
  (char*)"aboratories \n for implementing this class.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkBivariateStatisticsAlgorithmNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkBivariateStatisticsAlgorithmMethods,
                        (char*)"vtkBivariateStatisticsAlgorithm",modulename,
                        (char**)vtkBivariateStatisticsAlgorithmDoc,
                        PyVTKClass_vtkStatisticsAlgorithmNew(modulename));
}

