// python wrapper for vtkContingencyStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkContingencyStatistics.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkContingencyStatisticsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkContingencyStatisticsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkBivariateStatisticsAlgorithmNew(char *); }

static PyObject *PyvtkContingencyStatistics_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContingencyStatistics *op;

  const char    *temp20;
  op = (vtkContingencyStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContingencyStatistics::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkContingencyStatistics_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContingencyStatistics *op;

  char    *temp0;
  int      temp20;
  op = (vtkContingencyStatistics *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContingencyStatistics::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContingencyStatistics_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContingencyStatistics *op;

  vtkContingencyStatistics  *temp20;
  op = (vtkContingencyStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContingencyStatistics::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContingencyStatistics_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkContingencyStatistics  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkContingencyStatistics::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkContingencyStatisticsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkContingencyStatistics_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkContingencyStatistics_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkContingencyStatistics_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkContingencyStatistics\nC++: vtkContingencyStatistics *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkContingencyStatistics_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkContingencyStatistics\nC++: vtkContingencyStatistics *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkContingencyStatisticsDoc[] = {
  (char*)"vtkContingencyStatistics - A class for correlation with contigency\n\n",
  "Super Class:\n\n vtkBivariateStatisticsAlgorithm\n\n",
  (char*)" Given a pair of columns of interest, this class provides the\n following functionalities, depending on the execution mode it is executed in:\n * Learn: calculate contigency tables and corresponding discrete bivariate\n   probability distribution. \n   More precisely, ExecuteLearn calculates the sums; if \\p finalize\n   is set to true (default), the final statistics are calculated with the \n   function",
  (char*)" CalculateFromSums. Otherwise, only raw sums are output; this \n   option is made for efficient parallel calculations.\n   Note that CalculateFromSums is a static function, so that it can be used\n   directly with no need to instantiate a vtkContingencyStatistics object.\n * Assess: given two columns of interest with the same number of entries as\n   input in port 0, and a corresponding bivariate proba",
  (char*)"bility distribution,\n  \n .SECTION Thanks\n Thanks to Philippe Pebay and David Thompson from Sandia National Laboratories \n for implementing this class.\n\n",
  NULL
};

static vtkObjectBase *vtkContingencyStatisticsStaticNew()
{
  return vtkContingencyStatistics::New();
}

PyObject *PyVTKClass_vtkContingencyStatisticsNew(char *modulename)
{
  return PyVTKClass_New(&vtkContingencyStatisticsStaticNew,
                        PyvtkContingencyStatisticsMethods,
                        (char*)"vtkContingencyStatistics",modulename,
                        (char**)vtkContingencyStatisticsDoc,
                        PyVTKClass_vtkBivariateStatisticsAlgorithmNew(modulename));
}

