// python wrapper for vtkMultiCorrelativeStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMultiCorrelativeStatistics.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMultiCorrelativeStatisticsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMultiCorrelativeStatisticsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStatisticsAlgorithmNew(char *); }

static PyObject *PyvtkMultiCorrelativeStatistics_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiCorrelativeStatistics *op;

  const char    *temp20;
  op = (vtkMultiCorrelativeStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiCorrelativeStatistics::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiCorrelativeStatistics_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiCorrelativeStatistics *op;

  char    *temp0;
  int      temp20;
  op = (vtkMultiCorrelativeStatistics *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiCorrelativeStatistics::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiCorrelativeStatistics_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiCorrelativeStatistics *op;

  vtkMultiCorrelativeStatistics  *temp20;
  op = (vtkMultiCorrelativeStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiCorrelativeStatistics::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiCorrelativeStatistics_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMultiCorrelativeStatistics  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMultiCorrelativeStatistics::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkMultiCorrelativeStatisticsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMultiCorrelativeStatistics_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMultiCorrelativeStatistics_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMultiCorrelativeStatistics_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMultiCorrelativeStatistics\nC++: vtkMultiCorrelativeStatistics *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMultiCorrelativeStatistics_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMultiCorrelativeStatistics\nC++: vtkMultiCorrelativeStatistics *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMultiCorrelativeStatisticsDoc[] = {
  (char*)"vtkMultiCorrelativeStatistics - A class for linear correlation\n\n",
  "Super Class:\n\n vtkStatisticsAlgorithm\n\n",
  (char*)" Given a selection of sets of columns of interest, this class provides the\n following functionalities, depending on the execution mode it is executed in:\n * Learn: calculates means, unbiased variance and covariance estimators of\n   column pairs coefficient.\n   More precisely, ExecuteLearn calculates the averages and centered\n   variance/covariance sums; if \\p finalize is set to true (default),\n   ",
  (char*)"the final statistics are calculated.\n   The output metadata on port 1 is a multiblock dataset containing at a minimum\n   one vtkTable holding the raw sums in a sparse matrix style. If \\a finalize is\n   true, then one additional vtkTable will be present for each requested set of\n   column correlations. These additional tables contain column averages, the\n   upper triangular portion of the covarianc",
  (char*)"e matrix (in the upper right hand\n   portion of the table) and the Cholesky decomposition of the covariance matrix\n   (in the lower portion of the table beneath the covariance triangle).\n   The leftmost column will be a vector of column averages.\n   The last entry in the column averages vector is the number of samples.\n   As an example, consider a request for a 3-column correlation with columns\n  ",
  (char*)" named ColA, ColB, and ColC.\n   The resulting table will look like this:\n   <pre>\n      Column  |Mean     |ColA     |ColB     |ColC\n      --------+---------+---------+---------+---------\n      ColA    |avg(A)   |cov(A,A) |cov(A,B) |cov(A,C)\n      ColB    |avg(B)   |chol(1,1)|cov(B,B) |cov(B,C)\n      ColC    |avg(C)   |chol(2,1)|chol(2,2)|cov(C,C)\n      Cholesky|length(A)|chol(3,1)|chol(3,2)|chol(3",
  (char*)",3)\n   </pre>\n * Assess: given a set of results matrices as specified above in input port 1 and\n   tabular data on input port 0 that contains column names matching those\n   of the tables on input port 1, the assess mode computes the relative\n   deviation of each observation in port 0's table according to the linear\n   correlations implied by each table in port 1.\n  \n .SECTION Thanks\n Thanks to Phi",
  (char*)"lippe Pebay, Jackson Mayo, and David Thompson of\n Sandia National Laboratories for implementing this class.\n\n",
  NULL
};

static vtkObjectBase *vtkMultiCorrelativeStatisticsStaticNew()
{
  return vtkMultiCorrelativeStatistics::New();
}

PyObject *PyVTKClass_vtkMultiCorrelativeStatisticsNew(char *modulename)
{
  return PyVTKClass_New(&vtkMultiCorrelativeStatisticsStaticNew,
                        PyvtkMultiCorrelativeStatisticsMethods,
                        (char*)"vtkMultiCorrelativeStatistics",modulename,
                        (char**)vtkMultiCorrelativeStatisticsDoc,
                        PyVTKClass_vtkStatisticsAlgorithmNew(modulename));
}

