// python wrapper for vtkStatisticsAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStatisticsAlgorithm.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStatisticsAlgorithmNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStatisticsAlgorithmNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkStatisticsAlgorithm_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  const char    *temp20;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStatisticsAlgorithm::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  char    *temp0;
  int      temp20;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStatisticsAlgorithm::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  vtkStatisticsAlgorithm  *temp20;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStatisticsAlgorithm::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_SetInputStatisticsConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkStatisticsAlgorithm::SetInputStatisticsConnection(temp0);
      }
    else
      {
      op->SetInputStatisticsConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_SetNumberOfVariables(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  vtkIdType   temp0;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStatisticsAlgorithm::SetNumberOfVariables(temp0);
      }
    else
      {
      op->SetNumberOfVariables(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_GetNumberOfVariables(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  vtkIdType   temp20;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStatisticsAlgorithm::GetNumberOfVariables();
      }
    else
      {
      temp20 = op->GetNumberOfVariables();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_SetSampleSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  vtkIdType   temp0;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStatisticsAlgorithm::SetSampleSize(temp0);
      }
    else
      {
      op->SetSampleSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_GetSampleSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  vtkIdType   temp20;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStatisticsAlgorithm::GetSampleSize();
      }
    else
      {
      temp20 = op->GetSampleSize();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_SetLearn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  bool   temp0;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStatisticsAlgorithm::SetLearn(temp0);
      }
    else
      {
      op->SetLearn(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_GetLearn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  bool   temp20;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStatisticsAlgorithm::GetLearn();
      }
    else
      {
      temp20 = op->GetLearn();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_SetDerive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  bool   temp0;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStatisticsAlgorithm::SetDerive(temp0);
      }
    else
      {
      op->SetDerive(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_GetDerive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  bool   temp20;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStatisticsAlgorithm::GetDerive();
      }
    else
      {
      temp20 = op->GetDerive();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_SetAssess(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  bool   temp0;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStatisticsAlgorithm::SetAssess(temp0);
      }
    else
      {
      op->SetAssess(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_GetAssess(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  bool   temp20;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStatisticsAlgorithm::GetAssess();
      }
    else
      {
      temp20 = op->GetAssess();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_IsFullModelDerived(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  int      temp20;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStatisticsAlgorithm::IsFullModelDerived();
      }
    else
      {
      temp20 = op->IsFullModelDerived();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_SetColumnStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  char    *temp0;
  int      temp1;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStatisticsAlgorithm::SetColumnStatus(temp0,temp1);
      }
    else
      {
      op->SetColumnStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_ResetAllColumnStates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStatisticsAlgorithm::ResetAllColumnStates();
      }
    else
      {
      op->ResetAllColumnStates();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_RequestSelectedColumns(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  int      temp20;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStatisticsAlgorithm::RequestSelectedColumns();
      }
    else
      {
      temp20 = op->RequestSelectedColumns();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_ResetRequests(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStatisticsAlgorithm::ResetRequests();
      }
    else
      {
      op->ResetRequests();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStatisticsAlgorithmMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStatisticsAlgorithm_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStatisticsAlgorithm_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStatisticsAlgorithm_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStatisticsAlgorithm\nC++: vtkStatisticsAlgorithm *NewInstance ();\n\n"},
  {(char*)"SetInputStatisticsConnection",                (PyCFunction)PyvtkStatisticsAlgorithm_SetInputStatisticsConnection, 1,
   (char*)"V.SetInputStatisticsConnection(vtkAlgorithmOutput)\nC++: virtual void SetInputStatisticsConnection (vtkAlgorithmOutput *);\n\n A convenience method for setting the statistics table input.\n NB: This is mainly for the benefit of the VTK client/server \n layer, vanilla VTKcode should use, e.g:\n\n stats_algo2->SetInputConnection( 1, stats_algo1->output() );\n\n"},
  {(char*)"SetNumberOfVariables",                (PyCFunction)PyvtkStatisticsAlgorithm_SetNumberOfVariables, 1,
   (char*)"V.SetNumberOfVariables(int)\nC++: void SetNumberOfVariables (vtkIdType );\n\n Set the number of variables.\n"},
  {(char*)"GetNumberOfVariables",                (PyCFunction)PyvtkStatisticsAlgorithm_GetNumberOfVariables, 1,
   (char*)"V.GetNumberOfVariables() -> int\nC++: vtkIdType GetNumberOfVariables ();\n\n Get the number of variables.\n"},
  {(char*)"SetSampleSize",                (PyCFunction)PyvtkStatisticsAlgorithm_SetSampleSize, 1,
   (char*)"V.SetSampleSize(int)\nC++: void SetSampleSize (vtkIdType );\n\n Set the sample size.\n"},
  {(char*)"GetSampleSize",                (PyCFunction)PyvtkStatisticsAlgorithm_GetSampleSize, 1,
   (char*)"V.GetSampleSize() -> int\nC++: vtkIdType GetSampleSize ();\n\n Get the sample size.\n"},
  {(char*)"SetLearn",                (PyCFunction)PyvtkStatisticsAlgorithm_SetLearn, 1,
   (char*)"V.SetLearn(bool)\nC++: void SetLearn (bool );\n\n Set the Learn option.\n"},
  {(char*)"GetLearn",                (PyCFunction)PyvtkStatisticsAlgorithm_GetLearn, 1,
   (char*)"V.GetLearn() -> bool\nC++: bool GetLearn ();\n\n Get the Learn option.\n"},
  {(char*)"SetDerive",                (PyCFunction)PyvtkStatisticsAlgorithm_SetDerive, 1,
   (char*)"V.SetDerive(bool)\nC++: void SetDerive (bool );\n\n Set the Derive option.\n"},
  {(char*)"GetDerive",                (PyCFunction)PyvtkStatisticsAlgorithm_GetDerive, 1,
   (char*)"V.GetDerive() -> bool\nC++: bool GetDerive ();\n\n Get the Derive option.\n"},
  {(char*)"SetAssess",                (PyCFunction)PyvtkStatisticsAlgorithm_SetAssess, 1,
   (char*)"V.SetAssess(bool)\nC++: void SetAssess (bool );\n\n Set the Assess option.\n"},
  {(char*)"GetAssess",                (PyCFunction)PyvtkStatisticsAlgorithm_GetAssess, 1,
   (char*)"V.GetAssess() -> bool\nC++: bool GetAssess ();\n\n Get the Assess option.\n"},
  {(char*)"IsFullModelDerived",                (PyCFunction)PyvtkStatisticsAlgorithm_IsFullModelDerived, 1,
   (char*)"V.IsFullModelDerived() -> int\nC++: virtual int IsFullModelDerived ();return this FullWasDerived \n\n Add or remove a column from the current analysis request.\n Once all the column status values are set, call RequestSelectedColumns()\n before selecting another set of columns for a different analysis request.\n The way that columns selections are used varies from algorithm to algorithm.\n\n Note: the set of selected columns is maintained in vtkStatisticsAlgorithmPrivate::Buffer\n until RequestSelectedColumns() is called, at which point the set is appended\n to vtkStatisticsAlgorithmPrivate::Requests.\n If there are any columns in vtkStatisticsAlgorithmPrivate::Buffer at the time\n RequestData() is called, RequestSelectedColumns() will be called and the\n selection added to the list of requests.\n"},
  {(char*)"SetColumnStatus",                (PyCFunction)PyvtkStatisticsAlgorithm_SetColumnStatus, 1,
   (char*)"V.SetColumnStatus(string, int)\nC++: virtual void SetColumnStatus (const char *namCol, int status);\n\n Add or remove a column from the current analysis request.\n Once all the column status values are set, call RequestSelectedColumns()\n before selecting another set of columns for a different analysis request.\n The way that columns selections are used varies from algorithm to algorithm.\n\n Note: the set of selected columns is maintained in vtkStatisticsAlgorithmPrivate::Buffer\n until RequestSelectedColumns() is called, at which point the set is appended\n to vtkStatisticsAlgorithmPrivate::Requests.\n If there are any columns in vtkStatisticsAlgorithmPrivate::Buffer at the time\n RequestData() is called, RequestSelectedColumns() will be called and the\n selection added to the list of requests.\n"},
  {(char*)"ResetAllColumnStates",                (PyCFunction)PyvtkStatisticsAlgorithm_ResetAllColumnStates, 1,
   (char*)"V.ResetAllColumnStates()\nC++: virtual void ResetAllColumnStates ();\n\n Set the the status of each and every column in the current request to OFF (0).\n"},
  {(char*)"RequestSelectedColumns",                (PyCFunction)PyvtkStatisticsAlgorithm_RequestSelectedColumns, 1,
   (char*)"V.RequestSelectedColumns() -> int\nC++: virtual int RequestSelectedColumns ();\n\n Use the current column status values to produce a new request for statistics\n to be produced when RequestData() is called. See SetColumnStatus() for more information.\n"},
  {(char*)"ResetRequests",                (PyCFunction)PyvtkStatisticsAlgorithm_ResetRequests, 1,
   (char*)"V.ResetRequests()\nC++: virtual void ResetRequests ();\n\n Empty the list of current requests.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStatisticsAlgorithmDoc[] = {
  (char*)"vtkStatisticsAlgorithm - Base class for statistics algorithms\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" All statistics algorithms can conceptually be operated with several options:\n * Learn: given an input data set, calculate a minimal statistical model (e.g., \n   sums, raw moments, joint probabilities).\n * Derive: given an input minimal statistical model, derive the full model \n   (e.g., descriptive statistics, quantiles, correlations, conditional\n    probabilities).\n * Assess: given an input data",
  (char*)" set, input statistics, and some form of \n   threshold, assess a subset of the data set. \n Therefore, a vtkStatisticsAlgorithm has the following vtkTable ports\n * 2 input ports:\n   * Data (mandatory)\n   * Input model (optional) \n * 3 output port (called Output):\n   * Data (annotated with assessments when the Assess option is ON).\n   * Output model (identical to the the input model when Learn optio",
  (char*)"n is OFF).\n   * Meta information about the model and/or the overall fit of the data to the\n     model; is filled only when the Assess option is ON.\n\n .SECTION Thanks\n Thanks to Philippe Pebay and David Thompson from Sandia National Laboratories \n for implementing this class.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkStatisticsAlgorithmNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkStatisticsAlgorithmMethods,
                        (char*)"vtkStatisticsAlgorithm",modulename,
                        (char**)vtkStatisticsAlgorithmDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

